Bug 1478524 - Rendering issue after updating to 7.4 on rotated displays
Rendering issue after updating to 7.4 on rotated displays
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
7.4
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Jérôme Glisse
Desktop QE
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 14:22 EDT by Joe Wright
Modified: 2018-04-28 00:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of behavior (599.81 KB, image/jpeg)
2017-08-04 14:22 EDT, Joe Wright
no flags Details

  None (edit)
Description Joe Wright 2017-08-04 14:22:28 EDT
Created attachment 1309128 [details]
screenshot of behavior

Description of problem:
- When rotating displays 90 degrees, major rendering issues are observed. Mouse renders correctly, background and windows do not

Version-Release number of selected component (if applicable):
- 7.4 GA
- radeon/ATI graphics adapter

How reproducible:


Steps to Reproduce:
1. After enabling all displays, rotate one 90 degrees in either direction in the display configuration
2.
3.

Actual results:
- see attachment: corrupted-desktop.jpg

Expected results:
- normal display output

Additional info:
Comment 5 Benjamin Tissoires 2017-08-22 05:15:41 EDT
More likely a radeon issue than a libXrandr (given that it affects only this graphic card).

Reassigning
Comment 6 Alastair Scobie 2017-08-25 04:26:04 EDT
We're experiencing this too. 

For us, at least, it's not just rotation - performance has also taken a dive. For example, dragging a large window is very very laggy.

ALastair Scobie
School of Informatics
University of Edinburgh
Comment 7 ToBeReplaced 2018-04-28 00:09:43 EDT
I'm not sure where to put this, so I'm just going to add to the thread.

I was informed many months ago that there is a solution here: https://access.redhat.com/solutions/3177441

However, I am unable to get access to that solution. Additionally, I've been informed that there is private information relating to this bug report that is not accessible to the public.

Since there has been no public activity on this thread since it initially appeared, and at the very least, we know that Red Hat has been aware of a solution since last September, I humbly request that Red Hat make the solution public to those of us who are unable to pay for a support license.

Thanks,
ToBeReplaced

Note You need to log in before you can comment on or make changes to this bug.